Name:          bolzplatz2006
Version:       1.0.3
Release:       %mkrel 1
Summary:       3D-soccer-game in comic-style
Group:         Games/Sports
License:       GPL
Url:           http://www.bolzplatz2006.de/
Source0:       http://sourceforge.net/projects/bp2k6/files/Bolzplatz%202006/Bolzplatz%202006%20v1.0.3/bolzplatz2006-1.0.3-src.zip
Source1:       bolzplatz2006.sh
Source2:       bolzplatz2006-settings.sh
Source3:       bolzplatz2006.png
Source4:       bolzplatz2006_1.png
Source5:       bolzplatz2006.desktop
Source6:       bolzplatz2006-settings.desktop
Source7:       bolzplatz2006-input.xml
Source8:       bolzplatz2006.autodlrc
Source9:       bolzplatz2006-functions.sh
Source10:      bolzplatz2006-jirr-no-crash.patch

Patch0:        bolzplatz2006-1.0.3-irrlicht_i.patch
Patch1:        bolzplatz2006-1.0.3-irrlicht-extra-qualification-error.patch
Patch2:        bolzplatz2006-1.0.3-irrlicht-use-systemlibs.patch
Patch3:        bolzplatz2006-1.0.3-irrlicht-png-64bit.patch
# require lwjgl == 0.97
Patch4:        bolzplatz2006-1.0.3-lwjgl-nofmod.patch
Patch5:        bolzplatz2006-1.0.3-lwjgl-openal11.patch
Patch6:        bolzplatz2006-1.0.3-lwjgl-Makefile.patch
Patch7:        bolzplatz2006-1.0.3-lwjgl-no-xrandr.patch
Patch8:        bolzplatz2006-1.0.3-lwjgl-versioned-openal.patch
Patch9:        bolzplatz2006-libpng15.patch 
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: dom4j
BuildRequires: java-1.6.0-openjdk-devel
BuildRequires: java3d
BuildRequires: jpackage-utils
BuildRequires: sdljava
BuildRequires: xml-commons-apis

BuildRequires: devil-devel
BuildRequires: jpeg-devel
BuildRequires: libmesaglu-devel
BuildRequires: libpng-devel
BuildRequires: libvorbis-devel
BuildRequires: libxcursor-devel
BuildRequires: libxext-devel
BuildRequires: libxrandr-devel 
BuildRequires: libxrender-devel
BuildRequires: libxt-devel
BuildRequires: libxxf86vm-devel

BuildRequires: desktop-file-utils
BuildRequires: imagemagick
BuildRequires: swig

Requires:      dom4j
# bolzplatz2006 does not work with gcj
Requires:      java
Requires:      java3d
Requires:      jpackage-utils
Requires:      sdljava

Requires:      autodownloader
Requires:      hicolor-icon-theme
Requires:      openal

%description
Our current project is called "Bolzplatz 2006" (English title "Slam Soccer 2006",
French title "Coup de Fout 2006"). It's a freeware 3D-soccer-game in comic-style

Slam Soccer 2006 is a funny football game in
3D-comic-style -  and a funny allusion to the
World Cup 2006 in Germany.

*    Freeware and open source
*    Funny 3d-comic-style
*    Enthralling stadium atmosphere
*    Keyboard and gamepad control
*    2-player mode
*    Career and world cup
*    Register in the online hall of fame
*    Build your own stadium

*    80 teams
*    20 stadiums
*    10 weather conditions
*    50 adboards
*    10 referees
*    9 commentators (5 German, 2 English, 2 French)

*    3 languages: German, English, French 

%prep
%setup -q -c -n bolzplatz2006
%patch0 -p0
pushd libsrc/jirr-dev
  cp %{SOURCE10} diff.txt
popd
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0

sed -i 's/\r//' license.txt

rm -r libsrc/irrlicht-0.14-patched/libpng libsrc/irrlicht-0.14-patched/zlib \
  libsrc/irrlicht-0.14-patched/jpeglib

for j in $(find . -name "*.jar"); do
  rm -rf $j
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done

%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export JAVA_HOME=/usr/lib/jvm/java-openjdk

%ifarch %{ix86}
export JAVA_ARCH=i386
%endif

%ifarch x86_64
export JAVA_ARCH=amd64
%endif

if [ -z "$JAVA_ARCH" ]; then
  export JAVA_ARCH=%{_arch}
fi

# build irrlicht 0.14
pushd libsrc/irrlicht-0.14-patched
%make CPP="g++ $RPM_OPT_FLAGS -fPIC -fno-strict-aliasing" \
  CC="g++ $RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
popd

pushd libsrc/jirr-dev
make CXX="g++ $RPM_OPT_FLAGS -fPIC -fno-strict-aliasing -fpermissive" \
  CC="g++ $RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
popd

# build lwjgl 0.97
pushd libsrc/lwjgl
ant jars
ant compile_native
popd

mkdir classes
javac -d classes -encoding iso-8859-1 \
  -cp `build-classpath dom4j sdljava java3d/vecmath`:./libsrc/jirr-dev/lib/irrlicht.jar:./libsrc/lwjgl/libs/lwjgl.jar \
  `find ./src -name '*.java'`
jar cf bolzplatz2006.jar -C classes .

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/bolzplatz2006
install -m 644 bolzplatz2006.jar libsrc/jirr-dev/lib/irrlicht.jar libsrc/lwjgl/libs/lwjgl*.jar \
  %{buildroot}%{_javadir}/bolzplatz2006

mkdir -p %{buildroot}%{_libdir}/bolzplatz2006
install -m 755 libsrc/jirr-dev/libirrlicht_wrap.so libsrc/lwjgl/libs/linux/liblwjgl*.so \
 %{buildroot}%{_libdir}/bolzplatz2006

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/bolzplatz2006
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/bolzplatz2006-settings

for png in 64x64 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${png}/apps/
  convert -geometry $png %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/${png}/apps/bolzplatz2006.png
done

mkdir -p %{buildroot}%{_datadir}/pixmaps
convert -geometry 32x32 %{SOURCE4} %{buildroot}%{_datadir}/pixmaps/bolzplatz2006.png

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE5}
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE6}

mkdir -p %{buildroot}%{_datadir}/bolzplatz2006
install -p -m 644 %{SOURCE7} %{buildroot}%{_datadir}/bolzplatz2006/input.xml
install -p -m 644 %{SOURCE8} %{SOURCE9} %{buildroot}%{_datadir}/bolzplatz2006

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root) 
%{_bindir}/bolzplatz2006*
%{_libdir}/bolzplatz2006/libirrlicht_wrap.so
%{_libdir}/bolzplatz2006/liblwjgl*.so
%{_datadir}/applications/bolzplatz2006*.desktop
%{_datadir}/bolzplatz2006/bolzplatz2006-functions.sh
%{_datadir}/bolzplatz2006/bolzplatz2006.autodlrc
%{_datadir}/bolzplatz2006/input.xml
%{_javadir}/bolzplatz2006/bolzplatz2006.jar
%{_javadir}/bolzplatz2006/irrlicht.jar
%{_javadir}/bolzplatz2006/lwjgl*.jar
%{_datadir}/pixmaps/bolzplatz2006.png
%{_datadir}/icons/hicolor/*x*/apps/bolzplatz2006.png
%doc license.txt



%changelog

* Sun Nov 06 2011 dmorgan <dmorgan> 1.0.3-1.mga2
+ Revision: 164258
- Fix build with libpng15

  + gil <gil>
    - imported package bolzplatz2006


* Thu Jun 23 2011 gil <gil> 1.0.3-0.%%mkrel
- initial rpm